---
updatedAt: 2026-05-20T16:31:51.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get a List of Transaction Inputs and Outputs

Returns the transaction inputs and outputs following the BTC's UTXO model definition by a user-definied account address.


<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: `10` (paginated)
</Callout>

***

> 🚧 Truncation Info
>
> For responses that have big numbers (such as in transfer amounts from blockchain transactions), truncation might be applied from Javascript’s native JSON parser.
>
> To avoid this behavior, we recommend using a library such as [`json-bigint`](https://github.com/sidorares/json-bigint) or [`lossless-json`](https://github.com/josdejong/lossless-json)

<HTMLBlock>{`
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
  body {
    font-family: Arial, sans-serif;
  }
  .filter-box {
    width: 100%;
  }
  .table-container {
    border: 1px solid #ccc;
    margin-top: 15px;
  }
  .show {
    display: block;
  }
  .scrollable-table {
    max-height: 320px;
    overflow-y: scroll;
  }
  table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid #ccc;
    padding: 10px;
    vertical-align: top;
    word-wrap: break-word;
  }
  #protocolTableSearchable th {
    text-align: left;
    position: sticky;
    top: 0;
    background-clip: padding-box;
    z-index: 1;
    background-color: #230688;
    color: white !important;
  }
  code {
    background-color: #eee;
    padding: 2px 6px;
    border-radius: 4px;
    font-family: monospace;
    cursor: pointer;
    transition: background-color 0.2s ease;
    position: relative;
  }
  code:hover {
    background-color: #ddd;
  }
  [data-color-mode="dark"] code:hover {
    background-color: #637288;
  }
  .tooltip {
    position: absolute;
    background-color: #333;
    color: white;
    padding: 8px 12px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    font-family: Arial, sans-serif;
  }
  .tooltip.show {
    opacity: 1;
  }
  .tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
  }
  [data-color-mode="light"] .protocol-group-odd td {
    background-color: #ffffff;
  }
  [data-color-mode="light"] .protocol-group-even td {
    background-color: #f5f5f5;
  }
  [data-color-mode="dark"] .protocol-group-odd td {
    background-color: #242e34;
  }
  [data-color-mode="dark"] .protocol-group-even td {
    background-color: #4f5a66;
  }
</style>
</head>
<body>

<h3>Supported Protocols & Networks</h3>

<div class="table-container show">
  <input type="text" id="searchProtocolInput" class="filter-box" placeholder="Search protocol name..." onkeyup="filterTable()" />
  <div class="scrollable-table">
    <table id="protocolTableSearchable">
      <thead>
        <tr>
          <th>Protocol</th>
          <th>Network</th>
          <th>Path Parameter</th>
        </tr>
      </thead>
<tbody>
  <tr class="protocol-group-odd">
    <td rowspan="3">Bitcoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet4</td>
    <td><code class="copyable-code">bitcoin/testnet4</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Bitcoincash</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoincash/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoincash/testnet</code></td>
  </tr>

  <tr class="protocol-group-odd">
    <td rowspan="2">Dogecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">dogecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">dogecoin/testnet</code></td>
  </tr>

  <tr class="protocol-group-even">
    <td rowspan="2">Litecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">litecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">litecoin/testnet</code></td>
  </tr>
</tbody>

    </table>
  </div>
</div>

<script>
  function filterTable() {
    const input = document.getElementById('searchProtocolInput').value.toLowerCase();
    const rows = document.querySelectorAll('#protocolTableSearchable tbody tr');
    rows.forEach(row => {
      row.style.display = row.innerText.toLowerCase().includes(input) ? '' : 'none';
    });
  }
</script>

</body>
</html>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0.0",
    "title": "Blockdaemon REST API",
    "description": "Blockdaemon REST API provides a RESTful and uniform way to access blockchain resources,\nwith a rich and reusable model across multiple protocols/cryptocurrencies.\n\n[Documentation](https://docs.blockdaemon.com/reference/rest-api-overview)\n\n### Currently supported protocols:\n\n* algorand\n  * mainnet\n* avalanche \n  * mainnet-c/testnet-c\n* bitcoin\n  * mainnet/testnet/testnet4\n* bitcoincash\n  * mainnet/testnet\n* dogecoin\n  * mainnet/testnet\n* ethereum\n  * mainnet/holesky/sepolia/hoodi\n* litecoin\n  * mainnet/testnet\n* near\n  * mainnet\n* optimism\n  * mainnet\n* polkadot\n  * mainnet/westend\n* polygon\n  * mainnet/amoy\n* solana\n  * mainnet/testnet\n* stellar\n  * mainnet/testnet\n* tezos\n  * mainnet\n* tron\n  * mainnet/nile\n* xrp\n  * mainnet\n\n### Pagination\nCertain resources contain a lot of data, more than what's practical\nto return for a single request.\nWith the help of pagination, the data is split across multiple responses.\nEach response returns a subset of the items requested, and a continuation token.\n\nTo get the next batch of items, copy the returned continuation token\nto the continuation query parameter and repeat the request with the new URL.\nIn case no continuation token is returned, there is no more data available.\n",
    "contact": {
      "name": "Blockdaemon",
      "email": "support@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ]
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/universal/{version}",
      "description": "Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    },
    {
      "url": "https://ubiquity.api.blockdaemon.com/{version}",
      "description": "[Legacy Auth] Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Balances & UTXO"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/{protocol}/{network}/account/{address}/utxo": {
      "get": {
        "summary": "Get a List of Transaction Inputs and Outputs",
        "operationId": "GetUTXOByAccount",
        "description": "Returns the transaction inputs and outputs following the BTC's UTXO model definition by a user-definied account address.\n",
        "tags": [
          "Balances & UTXO"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "protocol",
            "required": true,
            "description": "The protocol handle, one of: `bitcoin`, `bitcoincash`, `dogecoin`, `litecoin`.\n",
            "schema": {
              "type": "string",
              "default": "bitcoin"
            },
            "examples": {
              "Bitcoin": {
                "value": "bitcoin"
              }
            }
          },
          {
            "$ref": "#/components/parameters/network"
          },
          {
            "$ref": "#/components/parameters/address"
          },
          {
            "name": "spent",
            "in": "query",
            "description": "Whether the transaction output was spent or not.",
            "schema": {
              "type": "boolean"
            },
            "example": true
          },
          {
            "name": "check_mempool",
            "in": "query",
            "description": "Whether to check for UTXOs spent in the mempool as well as UTXOs pending in the mempool.",
            "schema": {
              "type": "boolean"
            },
            "example": true
          },
          {
            "name": "from",
            "in": "query",
            "required": false,
            "description": "The Unix Timestamp from where to start.",
            "schema": {
              "type": "integer"
            },
            "example": 961846434
          },
          {
            "name": "to",
            "in": "query",
            "required": false,
            "description": "The Unix Timestamp from where to end.",
            "schema": {
              "type": "integer"
            },
            "example": 1119612834
          },
          {
            "$ref": "#/components/parameters/order"
          },
          {
            "$ref": "#/components/parameters/page_token"
          },
          {
            "name": "page_size",
            "in": "query",
            "required": false,
            "description": "The max number of items to return in a response\nDefaults to 50k and is capped at 100k.\n",
            "schema": {
              "type": "integer"
            },
            "example": 1000
          }
        ],
        "responses": {
          "200": {
            "description": "Transaction outputs filtered by the given parameters",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/tx_outputs"
                },
                "example": {
                  "total": 25,
                  "data": [
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 546,
                      "mined": {
                        "index": 0,
                        "tx_id": "385e7bfe62c8743b0bd5d3f4594ada38b2eb0764c4d89061591c11ba851c1ae0",
                        "date": 1690886734,
                        "block_id": "000000000000000000037cd5a51126baf707ae6ba6f3ab30738fc8bd689185c4",
                        "block_number": 801188,
                        "confirmations": 24,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 954,
                      "mined": {
                        "index": 0,
                        "tx_id": "982c91b83f1e73eae8e8b0a24b5b1c13f6e0d6cd691b420f5f74a749aed9d0f4",
                        "date": 1690825153,
                        "block_id": "000000000000000000041b17b5d048819e4672d23ca3a0e1672617f1661e3899",
                        "block_number": 801101,
                        "confirmations": 111,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 546,
                      "mined": {
                        "index": 0,
                        "tx_id": "6ea5c5ab313b8982ca88f311a45f6dadc571d3e288809c9bc240c551cab839ca",
                        "date": 1690741749,
                        "block_id": "000000000000000000000663d5e45c2c6cb11436d7aff7a71db07c70027ab5e3",
                        "block_number": 800942,
                        "confirmations": 270,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 546,
                      "mined": {
                        "index": 0,
                        "tx_id": "c5e879763b87aff8bd1f615a1363a0e19c660ce0b6a5f50dacc3a49341f75557",
                        "date": 1690741232,
                        "block_id": "00000000000000000004d9a12fcfa1aeb8f1b1bb22c69e02dc56fba04e758add",
                        "block_number": 800941,
                        "confirmations": 271,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 546,
                      "mined": {
                        "index": 0,
                        "tx_id": "feb3b4f1a6de293e9f3a29e87daa1718ce2c37f1a0da8cfefe8f2a0601c6c38a",
                        "date": 1690582068,
                        "block_id": "00000000000000000001e820f06c8f03ff75e8ef10e0bf1dfe0abfca7fec2f77",
                        "block_number": 800682,
                        "confirmations": 530,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 1200,
                      "mined": {
                        "index": 0,
                        "tx_id": "9d30e5aa1259f9a30765c5156c4e046b61a36dcf7e202f0652317772adfe13e6",
                        "date": 1690582068,
                        "block_id": "00000000000000000001e820f06c8f03ff75e8ef10e0bf1dfe0abfca7fec2f77",
                        "block_number": 800682,
                        "confirmations": 530,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 546,
                      "mined": {
                        "index": 0,
                        "tx_id": "9208f64f6a1a22e312c3fcc851b55d45d368703225071be6fda3b14a8f2b046d",
                        "date": 1690582068,
                        "block_id": "00000000000000000001e820f06c8f03ff75e8ef10e0bf1dfe0abfca7fec2f77",
                        "block_number": 800682,
                        "confirmations": 530,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 546,
                      "mined": {
                        "index": 0,
                        "tx_id": "6f4e0be74c563d9a2ed5cb766e3c32ff7105c6a1416101bad180140b77a74ab9",
                        "date": 1690582068,
                        "block_id": "00000000000000000001e820f06c8f03ff75e8ef10e0bf1dfe0abfca7fec2f77",
                        "block_number": 800682,
                        "confirmations": 530,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 672,
                      "mined": {
                        "index": 0,
                        "tx_id": "b338282600dcb99fcf112159b2504e179d343691fc70d1882b3721d0a7664b5c",
                        "date": 1690519864,
                        "block_id": "00000000000000000000f2fb02e783f1b02f7b2c3e449de406d9ce77091fa5f7",
                        "block_number": 800570,
                        "confirmations": 642,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "4104678afdb0fe5548271967f1a67130b7105cd6a828e03909a67962e0ea1f61deb649f6bc3f4cef38c4f35504e51ec112de5c384df7ba0b8d578a4c702b6bf11d5fac",
                          "script_type": "pubkey"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 50000,
                      "mined": {
                        "index": 1,
                        "tx_id": "a2fe4195a2db92826e0f2b0ed6d0d6b2469005d4d31fbd19cf069d9d7796e5c8",
                        "date": 1690492591,
                        "block_id": "00000000000000000001e845b790e5deeb2c899b561840ad795f23e95be5780d",
                        "block_number": 800533,
                        "confirmations": 679,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 1,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 10000,
                      "mined": {
                        "index": 0,
                        "tx_id": "a34cc16c558c25197cc13b144bf804b74b23416634096f9c932de40c774de474",
                        "date": 1690409992,
                        "block_id": "00000000000000000000734854a65230a8604147b42a9d973bbe0843c89519fc",
                        "block_number": 800406,
                        "confirmations": 806,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 546,
                      "mined": {
                        "index": 0,
                        "tx_id": "afce59363cd7001773a5e7284ea426ff4ef2660e0d077597fb164dced3989ea4",
                        "date": 1690392819,
                        "block_id": "00000000000000000004396eda9ba135c02895d95e2e588a8c9bb001ee21e45d",
                        "block_number": 800384,
                        "confirmations": 828,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 10000,
                      "mined": {
                        "index": 0,
                        "tx_id": "fc61f4e74bcf179deb931dddfa693026c59913d2a1e1bbdf12936140559fe6ff",
                        "date": 1690247932,
                        "block_id": "0000000000000000000408028c6040ef4dcdd43f17f03e21575b63963b404bfb",
                        "block_number": 800136,
                        "confirmations": 1076,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 10000,
                      "mined": {
                        "index": 0,
                        "tx_id": "d28ccf589ed5406d78e54b1ee544440b2bb884f417db03d9ca4bce0bf7bd006d",
                        "date": 1690247932,
                        "block_id": "0000000000000000000408028c6040ef4dcdd43f17f03e21575b63963b404bfb",
                        "block_number": 800136,
                        "confirmations": 1076,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 10000,
                      "mined": {
                        "index": 0,
                        "tx_id": "8f1618087a842788e22a1217de9649569531d9520ec1f838cff0441969da6f9a",
                        "date": 1690247932,
                        "block_id": "0000000000000000000408028c6040ef4dcdd43f17f03e21575b63963b404bfb",
                        "block_number": 800136,
                        "confirmations": 1076,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 859358,
                      "mined": {
                        "index": 4,
                        "tx_id": "e9fdb8fc91b6600f2266684c5d4d0d73755799f5dd5eb44ef5cc4abd03b7b299",
                        "date": 1690204575,
                        "block_id": "0000000000000000000297c5e533506aa697bbc42a75892eba075bce1c997e9b",
                        "block_number": 800059,
                        "confirmations": 1153,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 4,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 1000,
                      "mined": {
                        "index": 0,
                        "tx_id": "6fc0380e253f0d05fcb7b1f9f2443027705a9d500b68fafefb8ac43bfc01bb61",
                        "date": 1689985375,
                        "block_id": "000000000000000000041cb7600c15187e34bfacd2789c57a820755c91e0c2b7",
                        "block_number": 799700,
                        "confirmations": 1512,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 7450,
                      "mined": {
                        "index": 0,
                        "tx_id": "edc699705a7a3d8db4a5001110e1a98eb8cff485978ceeaf73952bf8b98b993f",
                        "date": 1689982489,
                        "block_id": "000000000000000000003d6f1e3a7c53df6095417898a28ab32406ebd0528845",
                        "block_number": 799695,
                        "confirmations": 1517,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 7450,
                      "mined": {
                        "index": 0,
                        "tx_id": "db8fa4586e721b60d31b333cdcb8a048e57db101eee7b85f1e919ef8f8e9d8e3",
                        "date": 1689982489,
                        "block_id": "000000000000000000003d6f1e3a7c53df6095417898a28ab32406ebd0528845",
                        "block_number": 799695,
                        "confirmations": 1517,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 7450,
                      "mined": {
                        "index": 0,
                        "tx_id": "be215188f515b02131b3fe65895c13bdb73e713e0d638d82fd3a3cf87911051c",
                        "date": 1689982489,
                        "block_id": "000000000000000000003d6f1e3a7c53df6095417898a28ab32406ebd0528845",
                        "block_number": 799695,
                        "confirmations": 1517,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 7450,
                      "mined": {
                        "index": 0,
                        "tx_id": "781aeca74c9472e93869599c5a1e4a88fc72a407f59bfd1014bafdb113c797db",
                        "date": 1689982489,
                        "block_id": "000000000000000000003d6f1e3a7c53df6095417898a28ab32406ebd0528845",
                        "block_number": 799695,
                        "confirmations": 1517,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 7450,
                      "mined": {
                        "index": 0,
                        "tx_id": "06c05204340ce27c135592f20d37403ec846d8288f1783b79c6ba9481639d0cf",
                        "date": 1689982489,
                        "block_id": "000000000000000000003d6f1e3a7c53df6095417898a28ab32406ebd0528845",
                        "block_number": 799695,
                        "confirmations": 1517,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 7006,
                      "mined": {
                        "index": 0,
                        "tx_id": "04ad88cf6d793a5301a1ad7b6884ed8c95a6191054e88f050a2870cbdf936838",
                        "date": 1689982489,
                        "block_id": "000000000000000000003d6f1e3a7c53df6095417898a28ab32406ebd0528845",
                        "block_number": 799695,
                        "confirmations": 1517,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 7450,
                      "mined": {
                        "index": 0,
                        "tx_id": "026e3da4be97f9c71ca03d5e27b1cedaa355a12a6a29b517740c100836d725f1",
                        "date": 1689982489,
                        "block_id": "000000000000000000003d6f1e3a7c53df6095417898a28ab32406ebd0528845",
                        "block_number": 799695,
                        "confirmations": 1517,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    },
                    {
                      "status": "mined",
                      "is_spent": false,
                      "value": 7450,
                      "mined": {
                        "index": 0,
                        "tx_id": "b2d0e8bb9bcece54157064c82f2739ba3ca8d60a004940dfeee7ceb396714234",
                        "date": 1689982076,
                        "block_id": "00000000000000000003d4e0a81b22c2d820728a065657a9dafaf859e5b3fb64",
                        "block_number": 799694,
                        "confirmations": 1518,
                        "meta": {
                          "addresses": [
                            "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
                          ],
                          "index": 0,
                          "script": "76a91462e907b15cbf27d5425399ebf6f0fb50ebb88f1888ac",
                          "script_type": "pubkeyhash"
                        }
                      }
                    }
                  ],
                  "meta": {
                    "paging": {
                      "next_page_token": "b2d0e8bb9bcece54157064c82f2739ba3ca8d60a004940dfeee7ceb396714234-0-799694"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "413": {
            "description": "Too Many Transactions",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            }
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "responses": {
      "TooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "BadRequest": {
        "description": "Bad request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "not-found",
              "title": "Not Found",
              "status": 404
            }
          }
        }
      },
      "UnauthorizedError": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "ServerError": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      }
    },
    "schemas": {
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The HTTP error type.",
            "example": "bad-request"
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Long error description",
            "example": "The requested address is invalid on this protocol."
          }
        }
      },
      "meta": {
        "type": "object",
        "description": "The meta details.",
        "nullable": true,
        "properties": {
          "paging": {
            "$ref": "#/components/schemas/paging"
          }
        }
      },
      "paging": {
        "type": "object",
        "description": "The pagination details.",
        "properties": {
          "next_page_token": {
            "type": "string",
            "description": "The next page token to use in the following request."
          }
        }
      },
      "tx_outputs": {
        "type": "object",
        "description": "A list of transaction outputs.",
        "properties": {
          "total": {
            "type": "integer",
            "description": "The number of total items.",
            "example": 25
          },
          "data": {
            "type": "array",
            "description": "A list of output items.",
            "items": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string",
                  "description": "The status of the given transaction output.",
                  "example": "mined"
                },
                "is_spent": {
                  "type": "boolean",
                  "description": "Whether the transaction output was spent or not.",
                  "example": false
                },
                "value": {
                  "type": "integer",
                  "format": "int64",
                  "description": "The amount of tokens within the given output.",
                  "example": 600
                },
                "spent": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/tx-output-response"
                    }
                  ]
                },
                "mined": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/tx-output-response"
                    }
                  ]
                },
                "pending": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/tx-output-response"
                    }
                  ]
                }
              }
            }
          },
          "meta": {
            "$ref": "#/components/schemas/meta"
          }
        }
      },
      "tx-output-response": {
        "type": "object",
        "nullable": true,
        "properties": {
          "index": {
            "type": "integer",
            "description": "The output index within a given transaction.",
            "example": 1
          },
          "tx_id": {
            "type": "string",
            "description": "The transaction identifier.",
            "example": "57f7dc46786c5d56d260186d459f1246943dd6e83ca00235909dad1b826f20b4"
          },
          "date": {
            "type": "integer",
            "description": "The transaction creation unix timestamp.",
            "example": 1655419925
          },
          "block_id": {
            "type": "string",
            "description": "The hash identifier of the block which the transaction was mined.",
            "example": "00000000000000000008ad1bdca4288143a0cb20e71de0808a066db89857e153"
          },
          "block_number": {
            "type": "integer",
            "description": "The number of the block which the transaction was mined.",
            "example": 741100
          },
          "confirmations": {
            "type": "integer",
            "description": "The number of confirmations the transaction took in order to be mined.",
            "example": 1619
          },
          "meta": {
            "description": "The meta details of the transaction.",
            "type": "object",
            "properties": {
              "addresses": {
                "description": "A list of addresses.",
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "index": {
                "description": "The index number.",
                "type": "integer"
              },
              "script": {
                "description": "The script.",
                "type": "string"
              },
              "script_type": {
                "description": "The script type.",
                "type": "string"
              }
            }
          }
        }
      }
    },
    "parameters": {
      "network": {
        "name": "network",
        "in": "path",
        "required": true,
        "description": "Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}.",
        "schema": {
          "type": "string",
          "default": "mainnet"
        },
        "examples": {
          "Mainnet": {
            "value": "mainnet"
          },
          "Mainnet-C": {
            "value": "mainnet-c"
          },
          "Testnet": {
            "value": "testnet"
          },
          "Testnet4": {
            "value": "testnet4",
            "description": "Bitcoin testnet network"
          },
          "Testnet-C": {
            "value": "testnet-c"
          },
          "Holesky": {
            "value": "holesky",
            "description": "Ethereum testnet network"
          },
          "Hoodi": {
            "value": "hoodi",
            "description": "Ethereum testnet network"
          },
          "Sepolia": {
            "value": "sepolia",
            "description": "Ethereum testnet network"
          },
          "Westend": {
            "value": "westend",
            "description": "Polkadot testnet network"
          },
          "Amoy": {
            "value": "amoy",
            "description": "Polygon testnet network"
          }
        }
      },
      "address": {
        "name": "address",
        "in": "path",
        "required": true,
        "description": "The account address of the protocol.",
        "schema": {
          "type": "string",
          "default": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
        },
        "examples": {
          "BTC_address": {
            "value": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
            "description": "BTC address"
          }
        }
      },
      "order": {
        "name": "order",
        "in": "query",
        "description": "The pagination order.",
        "schema": {
          "type": "string",
          "enum": [
            "desc",
            "asc"
          ],
          "default": "desc"
        }
      },
      "page_token": {
        "name": "page_token",
        "in": "query",
        "required": false,
        "description": "The token to retrieve more items in the next request. Use the `next_page_token` returned from the previous response for this parameter.",
        "schema": {
          "type": "string"
        },
        "example": "8185.123"
      }
    }
  }
}
```